InputStream (Java Platform SE 8 )
Keywords: org.omg.CORBA.portable.InputStream class
Date: 2018-03-02

org.omg.CORBA.portable

## Class InputStream

- java.lang.Object
- - java.io.InputStream
  - - org.omg.CORBA.portable.InputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    InputStream

      public abstract class InputStream
      extends InputStream

  InputStream is the Java API for reading IDL types from CDR marshal streams. These methods are used by the ORB to unmarshal IDL types as well as to extract IDL types out of Anys. The `_array` versions of the methods can be directly used to read sequences and arrays of IDL types.
  Since:
    JDK1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputStream()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ORB` | `orb()` Returns the ORB that created this InputStream.
    `abstract Any` | `read_any()` Reads an Any from this input stream.
    `abstract void` | `read_boolean_array(boolean[] value, int offset, int length)` Reads an array of booleans from this input stream.
    `abstract boolean` | `read_boolean()` Reads a boolean value from this input stream.
    `abstract void` | `read_char_array(char[] value, int offset, int length)` Reads an array of chars from this input stream.
    `abstract char` | `read_char()` Reads a char value from this input stream.
    `Context` | `read_Context()` Reads a CORBA context from the stream.
    `abstract void` | `read_double_array(double[] value, int offset, int length)` Reads an array of doubles from this input stream.
    `abstract double` | `read_double()` Reads a double value from this input stream.
    `BigDecimal` | `read_fixed()` Reads a BigDecimal number.
    `abstract void` | `read_float_array(float[] value, int offset, int length)` Reads an array of floats from this input stream.
    `abstract float` | `read_float()` Reads a float value from this input stream.
    `abstract void` | `read_long_array(int[] value, int offset, int length)` Reads an array of CORBA longs (that is, Java ints) from this input stream.
    `abstract int` | `read_long()` Reads a CORBA long (that is, Java int) value from this input stream.
    `abstract void` | `read_longlong_array(long[] value, int offset, int length)` Reads an array of CORBA longlongs (that is, Java longs) from this input stream.
    `abstract long` | `read_longlong()` Reads a CORBA longlong (that is, Java long) value from this input stream.
    `abstract Object` | `read_Object()` Reads a CORBA object from this input stream.
    `Object` | `read_Object(Class clz)` Unmarshals an object and returns a CORBA Object, which is an instance of the class passed as its argument.
    `abstract void` | `read_octet_array(byte[] value, int offset, int length)` Reads an array of octets (that is, bytes) from this input stream.
    `abstract byte` | `read_octet()` Reads an octet (that is, a byte) value from this input stream.
    `Principal` | `read_Principal()` Deprecated. Deprecated by CORBA 2.2.
    `abstract void` | `read_short_array(short[] value, int offset, int length)` Reads an array of shorts from this input stream.
    `abstract short` | `read_short()` Reads a short value from this input stream.
    `abstract String` | `read_string()` Reads a string value from this input stream.
    `abstract TypeCode` | `read_TypeCode()` Reads a `TypeCode` from this input stream.
    `abstract void` | `read_ulong_array(int[] value, int offset, int length)` Reads an array of unsigned CORBA longs (that is, Java ints) from this input stream.
    `abstract int` | `read_ulong()` Reads an unsigned CORBA long (that is, Java int) value from this input stream.
    `abstract void` | `read_ulonglong_array(long[] value, int offset, int length)` Reads an array of unsigned CORBA longlongs (that is, Java longs) from this input stream.
    `abstract long` | `read_ulonglong()` Reads a CORBA unsigned longlong (that is, Java long) value from this input stream.
    `abstract void` | `read_ushort_array(short[] value, int offset, int length)` Reads an array of unsigned shorts from this input stream.
    `abstract short` | `read_ushort()` Reads a unsigned short value from this input stream.
    `abstract void` | `read_wchar_array(char[] value, int offset, int length)` Reads an array of wide chars from this input stream.
    `abstract char` | `read_wchar()` Reads a wide char value from this input stream.
    `abstract String` | `read_wstring()` Reads a wide string value from this input stream.
    `int` | `read()` Reads the next byte of data from the input stream.

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStream

          public InputStream()

  - ### Method Detail

    - #### read_boolean

          public abstract boolean read_boolean()

      Reads a boolean value from this input stream.
      Returns:
        the `boolean` value read from this input stream

    - #### read_char

          public abstract char read_char()

      Reads a char value from this input stream.
      Returns:
        the `char` value read from this input stream

    - #### read_wchar

          public abstract char read_wchar()

      Reads a wide char value from this input stream.
      Returns:
        the `char` value read from this input stream

    - #### read_octet

          public abstract byte read_octet()

      Reads an octet (that is, a byte) value from this input stream.
      Returns:
        the `byte` value read from this input stream

    - #### read_short

          public abstract short read_short()

      Reads a short value from this input stream.
      Returns:
        the `short` value read from this input stream

    - #### read_ushort

          public abstract short read_ushort()

      Reads a unsigned short value from this input stream.
      Returns:
        the `short` value read from this input stream

    - #### read_long

          public abstract int read_long()

      Reads a CORBA long (that is, Java int) value from this input stream.
      Returns:
        the `int` value read from this input stream

    - #### read_ulong

          public abstract int read_ulong()

      Reads an unsigned CORBA long (that is, Java int) value from this input stream.
      Returns:
        the `int` value read from this input stream

    - #### read_longlong

          public abstract long read_longlong()

      Reads a CORBA longlong (that is, Java long) value from this input stream.
      Returns:
        the `long` value read from this input stream

    - #### read_ulonglong

          public abstract long read_ulonglong()

      Reads a CORBA unsigned longlong (that is, Java long) value from this input stream.
      Returns:
        the `long` value read from this input stream

    - #### read_float

          public abstract float read_float()

      Reads a float value from this input stream.
      Returns:
        the `float` value read from this input stream

    - #### read_double

          public abstract double read_double()

      Reads a double value from this input stream.
      Returns:
        the `double` value read from this input stream

    - #### read_string

          public abstract String read_string()

      Reads a string value from this input stream.
      Returns:
        the `String` value read from this input stream

    - #### read_wstring

          public abstract String read_wstring()

      Reads a wide string value from this input stream.
      Returns:
        the `String` value read from this input stream

    - #### read_boolean_array

          public abstract void read_boolean_array(boolean[] value,
                                                  int offset,
                                                  int length)

      Reads an array of booleans from this input stream.
      Parameters:
        `value` - returned array of booleans.
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_char_array

          public abstract void read_char_array(char[] value,
                                               int offset,
                                               int length)

      Reads an array of chars from this input stream.
      Parameters:
        `value` - returned array of chars.
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_wchar_array

          public abstract void read_wchar_array(char[] value,
                                                int offset,
                                                int length)

      Reads an array of wide chars from this input stream.
      Parameters:
        `value` - returned array of wide chars.
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_octet_array

          public abstract void read_octet_array(byte[] value,
                                                int offset,
                                                int length)

      Reads an array of octets (that is, bytes) from this input stream.
      Parameters:
        `value` - returned array of octets (that is, bytes).
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_short_array

          public abstract void read_short_array(short[] value,
                                                int offset,
                                                int length)

      Reads an array of shorts from this input stream.
      Parameters:
        `value` - returned array of shorts.
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_ushort_array

          public abstract void read_ushort_array(short[] value,
                                                 int offset,
                                                 int length)

      Reads an array of unsigned shorts from this input stream.
      Parameters:
        `value` - returned array of shorts.
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_long_array

          public abstract void read_long_array(int[] value,
                                               int offset,
                                               int length)

      Reads an array of CORBA longs (that is, Java ints) from this input stream.
      Parameters:
        `value` - returned array of CORBA longs (that is, Java ints).
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_ulong_array

          public abstract void read_ulong_array(int[] value,
                                                int offset,
                                                int length)

      Reads an array of unsigned CORBA longs (that is, Java ints) from this input stream.
      Parameters:
        `value` - returned array of CORBA longs (that is, Java ints).
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_longlong_array

          public abstract void read_longlong_array(long[] value,
                                                   int offset,
                                                   int length)

      Reads an array of CORBA longlongs (that is, Java longs) from this input stream.
      Parameters:
        `value` - returned array of CORBA longs (that is, Java longs).
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_ulonglong_array

          public abstract void read_ulonglong_array(long[] value,
                                                    int offset,
                                                    int length)

      Reads an array of unsigned CORBA longlongs (that is, Java longs) from this input stream.
      Parameters:
        `value` - returned array of CORBA longs (that is, Java longs).
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_float_array

          public abstract void read_float_array(float[] value,
                                                int offset,
                                                int length)

      Reads an array of floats from this input stream.
      Parameters:
        `value` - returned array of floats.
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_double_array

          public abstract void read_double_array(double[] value,
                                                 int offset,
                                                 int length)

      Reads an array of doubles from this input stream.
      Parameters:
        `value` - returned array of doubles.
        `offset` - offset on the stream.
        `length` - length of buffer to read.

    - #### read_Object

          public abstract Object read_Object()

      Reads a CORBA object from this input stream.
      Returns:
        the `Object` instance read from this input stream.

    - #### read_TypeCode

          public abstract TypeCode read_TypeCode()

      Reads a `TypeCode` from this input stream.
      Returns:
        the `TypeCode` instance read from this input stream.

    - #### read_any

          public abstract Any read_any()

      Reads an Any from this input stream.
      Returns:
        the `Any` instance read from this input stream.

    - #### read_Principal

          @Deprecated
          public Principal read_Principal()

      Deprecated. Deprecated by CORBA 2.2.
      Returns principal for invocation.
      Returns:
        Principal for invocation.

    - #### read

          public int read()
                   throws IOException

      Description copied from class: `InputStream`
      Reads the next byte of data from the input stream. The value byte is returned as an `int` in the range `0` to `255`. If no byte is available because the end of the stream has been reached, the value `-1` is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

      A subclass must provide an implementation of this method.

      Specified by:
        `read` in class `InputStream`
      Returns:
        the next byte of data, or `-1` if the end of the stream is reached.
      Throws:
        `IOException` - if an I/O error occurs.
      See Also:
        `portable` package comments for unimplemented features

    - #### read_fixed

          public BigDecimal read_fixed()

      Reads a BigDecimal number.
      Returns:
        a java.math.BigDecimal number

    - #### read_Context

          public Context read_Context()

      Reads a CORBA context from the stream.
      Returns:
        a CORBA context
      See Also:
        `portable` package comments for unimplemented features

    - #### read_Object

          public Object read_Object(Class clz)

      Unmarshals an object and returns a CORBA Object, which is an instance of the class passed as its argument. This class is the stub class of the expected type.
      Parameters:
        `clz` - The Class object for the stub class which corresponds to the type that is statistically expected, or the Class object for the RMI/IDL interface type that is statistically expected.
      Returns:
        an Object instance of clz read from this stream
      See Also:
        `portable` package comments for unimplemented features

    - #### orb

          public ORB orb()

      Returns the ORB that created this InputStream.
      Returns:
        the `ORB` object that created this stream
      See Also:
        `portable` package comments for unimplemented features

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.